List a flow's versions
Newest first. Request: GET /v1/whatsapp/flows/{id}/versions. Scope: templates:read.
GET
Newest first.
apiKeyheader
x-api-key<token>id*stringMatch
^waflow_[0-9a-hjkmnp-tv-z]{16,24}$WhatsAppFlowVersionList
application/json- response
data*array<>import { createClient } from "samva";
const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });
const result = await samva.whatsappFlows.listVersions({
"id": "example"
});Example Response
{
"data": [
{
"id": "string",
"flowId": "string",
"number": -9007199254740991,
"commitSha": "string",
"digest": "string",
"jsonVersion": "string",
"screens": [
"string"
],
"dataExchange": true,
"createdAt": "string"
}
]
}